Hi, I have some information save in Rhino.Geometry.TextEntity, and finally I save to 3dm file, and when I re-read this 3dm, then I open my plugin program, I need to auto search my TextEntity, and How to do? I don’t like select by handwork. thanks
Maybe give your textEntity a name like: autoSearch1
After opening your plugin search for this name like:
Dim s As Rhino.DocObjects.ObjectEnumeratorSettings = New Rhino.DocObjects.ObjectEnumeratorSettings
s.HiddenObjects = True
s.LockedObjects = True
For Each Item As DocObjects.RhinoObject In RhinoDoc.ActiveDoc.Objects.GetObjectList(s)
Dim objName As String = Item.Attributes.Name
If objName = "autoSearch1" then
'Do something'
End If
Next
HI jordy, many thanks for your help.